Page MenuHomePhabricator

Audit our puppet tree for uses of jessie-backports
Closed, ResolvedPublic

Description

jessie-backports is no longer updated and going to be removed from the Debian mirrors, the steps for OpenStack packages were handled via T216497, but there are also uses of jessie-backports outside of WMCS/Openstack. We should audit our puppet tree for such cases (grepping for jessie-backports shows quite a few cases and there's also some more subtles ones e.g. $::lsbdistcodename-backports

There are multiple ways to address those:

  • Often a role is no longer used on jessie at all, so we can simply remove the code entirely
  • If it's still used, the respective package can be imported to our internal repository

Details

Related Gerrit Patches:
operations/puppet : productionFix pinning for smartmontools

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2019, 1:09 PM
jijiki added a subscriber: jijiki.Feb 27 2019, 7:41 PM
jbond triaged this task as Normal priority.Mar 4 2019, 8:01 PM
jbond added a subscriber: jbond.

Change 498205 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Fix pinning for smartmontools

https://gerrit.wikimedia.org/r/498205

Change 498205 merged by Muehlenhoff:
[operations/puppet@production] Fix pinning for smartmontools

https://gerrit.wikimedia.org/r/498205

MoritzMuehlenhoff closed this task as Resolved.Mar 28 2019, 9:09 PM
MoritzMuehlenhoff claimed this task.

Closing, the remaining work for this is handled via T219333